Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.util
Class TimeTools2

    java.lang.Object
      org.deegree.framework.util.TimeTools2

    public class TimeTools2

extends Object

The `TimeTools2` class can be used to format Strings to timecodes and get Calenadars of a given Timecode. This variant can be used to properly handle time zones. Andreas Poth

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  last edited by: $Author: mschneider $

Constructor Summary
`TimeTools2()`

Method Summary
`static Calendar` | `createCalendar(String isoDate)`
`static String` | `getISOFormattedTime()`
`static String` | `getISOFormattedTime(Calendar cal)`
`static String` | `getISOFormattedTime(Date date)` returns the date calendar in ISO format

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeTools2

    public TimeTools2()

Method Detail

### getISOFormattedTime

    public static String getISOFormattedTime()

  Returns:
    the current timestamp in ISO format

### getISOFormattedTime

    public static String getISOFormattedTime(Date date)

  returns the date calendar in ISO format

  Parameters:
    `date` -
  Returns:
    the date calendar in ISO format

### getISOFormattedTime

    public static String getISOFormattedTime(Calendar cal)

  Parameters:
    `cal` - a Calendar to get the timevalues of
  Returns:
    the passed calendar in ISO format

### createCalendar

    public static Calendar createCalendar(String isoDate)
                                   throws NumberFormatException

  Parameters:
    `isoDate` - an ISO timestamp-> year-mon-dayThours:min:sec
  Returns:
    an instance of a `GregorianCalendar from an ISO timestamp`
  Throws:
    `NumberFormatException` - if the parsted values of the given String are no proper numbers.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org